Compatible with iPhone and iPod touch.
Requires iOS 3.1 or later.
Languages: English, Spanish